com.trendmicro.ds.platform.rest.api

## Interface IManagerNodeAPI

-     @Path(value="/manager-nodes")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IManagerNodeAPI

  Interface to the manager node API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteManagerNode(java.lang.String sessionID, int managerNodeID)` Delete a manager node.
    `DescribeManagerNodeResponse` | `describeManagerNode(java.lang.String sessionID, int managerNodeID)` Describe a manager node.
    `ListManagerNodesResponse` | `listManagerNodes(java.lang.String sessionID, java.lang.Integer id, java.lang.String op, java.lang.Integer maxItems)` List manager nodes.
    `ModifyManagerNodeResponse` | `modifyManagerNode(java.lang.String sessionID, int managerNodeID, ModifyManagerNodeRequest request)` Modify a manager node.

- - ### Method Detail

    - #### listManagerNodes

          @GET
          ListManagerNodesResponse listManagerNodes(@CookieParam(value="sID")
                                                         java.lang.String sessionID,
                                                         @QueryParam(value="id")
                                                         java.lang.Integer id,
                                                         @QueryParam(value="op")
                                                         java.lang.String op,
                                                         @QueryParam(value="maxItems")
                                                         java.lang.Integer maxItems)
                                                  throws java.lang.Exception

      List manager nodes.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `id` - (optional) used to define the starting point for the query. Combine with `op` to page through results.
        `op` - (optional, required if `id` is specified) Currently supported operations are:
        - gt (greater than)
        - ge (greater than or equal to)
        - eq (equal to)
        - lt (less than)
        - le (less than or equal to)
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a `ListManagerNodesResponse` with the manager node details.
      Throws:
        `java.lang.Exception`

    - #### describeManagerNode

          @GET
           @Path(value="{managerNodeID}")
          DescribeManagerNodeResponse describeManagerNode(@CookieParam(value="sID")
                                                                                               java.lang.String sessionID,
                                                                                               @PathParam(value="managerNodeID")
                                                                                               int managerNodeID)
                                                                                        throws java.lang.Exception

      Describe a manager node.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `managerNodeID` - the manager node ID.
      Returns:
        a `DescribeManagerNodeResponse` with the manager node details.
      Throws:
        `java.lang.Exception`

    - #### modifyManagerNode

          @POST
           @Path(value="{managerNodeID}")
          ModifyManagerNodeResponse modifyManagerNode(@CookieParam(value="sID")
                                                                                            java.lang.String sessionID,
                                                                                            @PathParam(value="managerNodeID")
                                                                                            int managerNodeID,
                                                                                            ModifyManagerNodeRequest request)
                                                                                     throws java.lang.Exception

      Modify a manager node.

      Any unset elements in the request object will be left unchanged by the modify request.

      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `managerNodeID` - the manager node ID.
        `request` - a `ModifyManagerNodeRequest` with the details of the manager node.
      Returns:
        an `ModifyManagerNodeResponse` with the updated manager node details.
      Throws:
        `java.lang.Exception`

    - #### deleteManagerNode

          @DELETE
           @Path(value="{managerNodeID}")
          void deleteManagerNode(@CookieParam(value="sID")
                                                                         java.lang.String sessionID,
                                                                         @PathParam(value="managerNodeID")
                                                                         int managerNodeID)
                                                                  throws java.lang.Exception

      Delete a manager node.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `managerNodeID` - the manager node ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.